<?php
/* @var $this QuestionnaireAnswerController */
/* @var $model QuestionnaireAnswer */

$this->breadcrumbs=array(
	'Questionnaires' => array('questionnaire/admin'),
    Yii::t('admin', 'Questionnaire Answers'),
);

$this->menu=array(
array('label'=>'Manage Questionnaire Answer', 'url'=>array('admin')),
// array('label'=>'Create Questionnaire Answer', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
$('.search-form').toggle();
return false;
});
$('.search-form form').submit(function(){
$('#questionnaire-answer-grid').yiiGridView('update', {
data: $(this).serialize()
});
return false;
});
");
?>
<div class="page-header">
    <h1>
        <?php echo Yii::t("admin", "Manage Questionnaire Answers"); ?>        <?php //echo CHtml::link(Yii::t("admin", "Create Questionnaire Answer"), array("create"), array("class" => "btn btn-sm btn-primary pull-right")); ?>    </h1>
</div>

<!--<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>-->

<?php echo CHtml::link('Export To Excel',['exportResults', 'questionnaire_id' => $questionnaire_id],array('class'=>'btn btn-xs')); ?>
<div class="search-form display-none">
<?php
    // $this->renderPartial('_search',array(
	// 'model'=>$model,
    // )); 
?>
</div><!-- search-form -->


<?php

$data = $dataProvider->getData();
if($data){
    echo '<div class="mt20">';
    echo '<table class="table table-striped table-bordered">';
    echo '<thead>';
    foreach($questions_data as $question){
        echo '<th class="text-align-center">' . $question . '</th>';
    }
    echo '</thead>';
    foreach($data as $item){
        echo '<tr>';
        foreach($item as $column){
            echo '<td class="text-align-center">' . $column . '</td>';
        }
        echo '</tr>';
    }
    echo '</table>';
    echo '</div>';
}

?>
